/***************************************************************************
                          keymapList.c  -  List of key mappings
                             -------------------
    begin                : Sun Apr 8 2001
    copyright            : (C) 2001 by Lars Krueger
    email                : lars_e_krueger@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "keymapList.h"
#include <stdio.h>

struct keymapList_node * keymapListAlloc()
{
  unsigned i, j;
  struct keymapList_node * node=(struct keymapList_node*)malloc( sizeof(struct
        keymapList_node));
  if( !node)
  {
    perror( "fxred");
    exit(1);
  }
  node->pNext=0;
  for( i=0; i<KMI_MAX; i++)
    for( j=0; j<KMOD_MAX; j++)
      node->dirData[i][j].length=0;
  return node;
}

void keymapListAppend( struct keymapList_node * list, 
    struct keymapList_node * tail)
{
  list->pNext=tail;
}

