/***************************************************************************
                          fopenFromList.c  -  description
                             -------------------
    begin                : Sun Apr 8 2001
    copyright            : (C) 2001 by Lars Krueger
    email                : lars_e_krueger@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdarg.h>
#include "fopenFromList.h"


FILE * fopenFromList( const char * perm, ...)
{
  FILE * file;
  va_list va;
  va_start( va, perm);
  while( 1)
  {
    const char * fn=va_arg( va, const char * );
    if( !fn)
      break;
    file=fopen( fn, perm);
    if( file)
    {
      va_end( va);
      return file;
    }
  }
  va_end( va);
  return NULL;
}
